
Ruby - Bug #4776

DateTime.new! has been disabled

05/25/2011 09:26 AM - tenderlovemaking (Aaron Patterson)

Status: Rejected   

Priority: Normal   

Assignee: tadf (tadayoshi funaba)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-06-06 trunk 31944)

[x86_64-darwin10.7.0]

Backport:  

Description

After r31668, DateTime.new! no longer works.  Is there a replacement?  Or is this a mistake?

This code works before r31668, but breaks after 31668:

irb(main):001:0> require 'date'

=> true

irb(main):002:0> DateTime.new!

NoMethodError: undefined method new!' for DateTime:Class from (irb):2 from /Users/aaron/.local/bin/irb:12:in '

irb(main):003:0>

Some gems (specifically the tzinfo gem) depend on this method.  Rails depends on tzinfo, and since tzinfo breaks I can no longer

test trunk against rails. :-(

History

#1 - 05/28/2011 07:59 AM - tenderlovemaking (Aaron Patterson)

- ruby -v changed from ruby 1.9.3dev (2011-05-24 trunk 31718) [x86_64-darwin10.7.0] to -

On Wed, May 25, 2011 at 09:26:10AM +0900, Aaron Patterson wrote:

Issue #4776 has been reported by Aaron Patterson.

Bug #4776: DateTime.new! has been disabled

http://redmine.ruby-lang.org/issues/4776

Author: Aaron Patterson

Status: Open

Priority: Normal

Assignee: tadayoshi funaba

Category:

Target version:

ruby -v: ruby 1.9.3dev (2011-05-24 trunk 31718) [x86_64-darwin10.7.0]

After r31668, DateTime.new! no longer works.  Is there a replacement?  Or is this a mistake?

This code works before r31668, but breaks after 31668:

irb(main):001:0> require 'date'

=> true

irb(main):002:0> DateTime.new!

NoMethodError: undefined method new!' for DateTime:Class from (irb):2 from /Users/aaron/.local/bin/irb:12:in '

irb(main):003:0>

Some gems (specifically the tzinfo gem) depend on this method.  Rails depends on tzinfo, and since tzinfo breaks I can no longer test trunk

against rails. :-(

 Bump?

--

Aaron Patterson

http://tenderlovemaking.com/
#2 - 06/07/2011 02:37 AM - tenderlovemaking (Aaron Patterson)

- ruby -v changed from - to ruby 1.9.3dev (2011-06-06 trunk 31944) [x86_64-darwin10.7.0]

Hello?  :(

#3 - 06/07/2011 08:12 PM - tadf (tadayoshi funaba)

- Status changed from Open to Rejected

not a bug.

it's for only internal use.

he must have known it.

i once talked to the authour of tzinfo about Rational.new!.

anyway now DateTime.new! is not reasonable at all.

it does not depend on the current internal structure.

it is not fast if avairable.

learn good manners.
